# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "sim"
version = "0.4.0"
authors = ["Neal DeBuhr <ndebuhr@gmail.com>"]
exclude = ["images/", "MODELS.md", ".github/", ".codecov.yml"]
description = "Sim is a discrete event simulation package that facilitates Rust- and npm-based simulation products and projects"
homepage = "https://github.com/ndebuhr/sim"
readme = "README.md"
keywords = ["simulation", "discrete", "event", "stochastic", "modeling"]
categories = ["simulation"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ndebuhr/sim"
[package.metadata.wasm-pack.profile.release]
wasm-opt = ["-Oz", "--enable-mutable-globals"]
[profile.release]
opt-level = "s"

[lib]
crate-type = ["cdylib", "rlib"]
[dependencies.console_error_panic_hook]
version = "0.1.6"
optional = true

[dependencies.getrandom]
version = "0.2"
features = ["js"]

[dependencies.js-sys]
version = "0.3"

[dependencies.num-traits]
version = "0.2"

[dependencies.rand]
version = "0.8"
features = ["serde1"]

[dependencies.rand_distr]
version = "0.4"

[dependencies.rand_pcg]
version = "0.3"
features = ["serde1"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_yaml]
version = "0.8"

[dependencies.thiserror]
version = "1.0"

[dependencies.wasm-bindgen]
version = "0.2.63"

[dependencies.web-sys]
version = "0.3"
features = ["console"]

[dependencies.wee_alloc]
version = "0.4.5"
optional = true
[dev-dependencies.wasm-bindgen-test]
version = "0.3.13"

[features]
default = ["console_error_panic_hook"]
